# -*- coding: utf-8 -*-

import numpy as np
import pylab as p

paths = [u'/home/karl/test.txt']
show_grid = False
markerlist = ['o']
linelist = ['']
colorlist = ['default']
x_label = ''
y_label = ''
x_min = None
x_max = None
y_min = None
y_max = None
caption = ''


x = []
y = []

for file in paths:
    try:
        data = np.genfromtxt(file, invalid_raise=False)
    except TypeError:
        try:
            data = np.loadtxt(file)
        except:
            print "Data could not be read!"
            quit()
    L = len(data[:,0])
    x.append(data[0:L,0])
    y.append(data[0:L,1])

for i in range(len(paths)):
    if colorlist[i] == "default":
        p.plot(x[i], y[i], linestyle=linelist[i], marker=markerlist[i])
    else:
        p.plot(x[i], y[i], color=colorlist[i], linestyle=linelist[i], marker=markerlist[i])

if show_grid:
    p.grid()
p.xlabel(x_label)
p.ylabel(y_label)
p.title(caption)

if x_min == None and x_max != None:
    p.xlim(xmax=x_max)
elif x_max == None and x_min != None:
    p.xlim(xmin=x_min)
else:
    p.xlim(x_min,x_max)

if y_min == None and y_max != None:
    p.ylim(ymax=y_max)
elif y_max == None and y_min != None:
    p.ylim(ymin=y_min)
else:
    p.ylim(y_min,y_max)

p.show()
        
